<div>
<!-- <div class="ui-g-12" ngIf="div !== 101'">
    <h2>
        <span jhiTranslate="mpmApp.tandaTerima.home.title">Tanda Terima</span>
        <button class="btn btn-primary float-right jh-create-entity create-tanda-terima"
            [routerLink]="['/tanda-terima-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down" jhiTranslate="mpmApp.tandaTerima.home.createLabel">
                Create new Tanda Terima
            </span>
        </button>
    </h2>
</div> -->
<!-- <div class="ui-g-12">
    <h2>
        <span>Tanda Terima Surat</span>
        <button class="btn btn-primary float-right jh-create-entity create-tanda-terima"
            [routerLink]="['/tanda-terima-new-surat']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Tanda Terima Surat
            </span>
        </button>
    </h2>
</div> -->
<jhi-alert></jhi-alert>
<div class="row">
    <div class="col-sm-12">
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                        (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                        [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                        (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1>
                                    </p-autoComplete>
                                </div>
                            </div>
                            <div class="form-group" *ngIf="idInternal === 'ACC'">
                                <div class="ui-g-4">
                                    <label>Pembayaran</label>
                                </div>
                                <div class="ui-g-8">
                                    <select id="field_pembayaran" name="divReciver" [(ngModel)]="radioValue" class="form-control">
                                        <option [ngValue]="pembayaran.value" *ngFor="let pembayaran of pembayarans">
                                            {{pembayaran.label}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
</div>
<br />
<div>
    <p-dataTable [value]="tandaTerimas" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idreceipt" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
        <p-header>
            <div class="col-sm-12">
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Tanda Terima | Nama Supplier | No INV | No Faktur">
                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </div>
        </p-header>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Tanda Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.receiptno}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Invoice">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noinv}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Faktur Pajak">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.notaxinv}}
            </ng-template>
        </p-column>
        <p-column header="Total">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.total | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtreceipt | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Pembuat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createby}}
            </ng-template>
        </p-column>
        <!-- <p-column header="Tanggal Purc">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtpurc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column> -->
        <p-column header="Tanggal Mkt">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtmkt | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Acc">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtacc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Fin">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtfin | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Supplier">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nmsupplier}}
            </ng-template>
        </p-column>

        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <div *ngIf="rowData.jenis === 'surat'">
                    <button pButton type="button"
                        [routerLink]="['../tanda-terima-edit-surat/' + rowData.idreceipt + '/true']" icon="fa-eye"
                        class="flat-button" pTooltip="Lihat Tanda Terima">
                    </button>
                    <button pButton type="button"
                        [routerLink]="['../tanda-terima-edit-surat/' + rowData.idreceipt + '/false']"
                        icon="fa-pencil" class="flat-button" pTooltip="Edit Tanda Terima">
                    </button>
                </div> -->
                <div *ngIf="rowData.jenis !== 'surat'">
                    <button pButton type="button" icon="fa-print" class="flat-button" (click)="printTT(rowData)"
                        pTooltip="Print Tanda Terima">
                    </button>
                    <button pButton type="button"
                        [routerLink]="['../tanda-terima-edit/' + rowData.idreceipt + '/true']" icon="fa-eye"
                        class="flat-button" pTooltip="Lihat Tanda Terima">
                    </button>
                    <button pButton type="button"
                        [routerLink]="['../tanda-terima-edit/' + rowData.idreceipt + '/false']" icon="fa-pencil"
                        class="flat-button" pTooltip="Edit Tanda Terima">
                    </button>
                    <div *ngIf="div === 101">
                        <button pButton type="button" icon="fa fa-check-square-o" class="flat-button"
                            pTooltip="Bayar"
                            [routerLink]="['../tanda-terima-bayar/' + rowData.idreceipt + '/false']">
                        </button>
                    </div>
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
</div>